GET
/api/v1/rds/cluster/{Cluster_id}/graph-monitoring
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/graph-monitoring?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/graph-monitoring", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/graph-monitoring");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
interval
required
integer
Interval
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Success response with detailed database performance metrics
Media typeapplication/json
object
code
integer
data
object
cpu
object
labels
Array<string>
results
Array<string>
iops
object
disk_iops_read
object
labels
Array<string>
results
Array<string>
disk_iops_write
object
labels
Array<string>
results
Array<string>
memory_usage
object
labels
Array<string>
results
Array<string>
mysql_conn
object
labels
Array<string>
results
Array<string>
mysql_query
object
labels
Array<string>
results
Array<string>
mysql_network
object
mysql_bytes_received
object
labels
Array<string>
results
Array<string>
mysql_bytes_send
object
labels
Array<string>
results
Array<string>
database_name
string
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "cpu": { "labels": [], "results": [] }, "iops": { "disk_iops_read": { "labels": [ "04:24PM", "04:25PM", "04:26PM", "04:31PM", "04:32PM", "04:33PM", "04:34PM" ], "results": [ "26007.0", "26007.0", "26007.0", "26007.0", "26007.0", "26007.0", "26007.0" ] }, "disk_iops_write": { "labels": [ "04:24PM", "04:25PM", "04:26PM", "04:31PM", "04:32PM", "04:33PM", "04:34PM" ], "results": [ "8074.0", "8084.0", "8096.0", "8158.0", "8170.0", "8184.0", "8190.0" ] } }, "memory_usage": { "labels": [], "results": [] }, "mysql_conn": { "labels": [], "results": [] }, "mysql_query": { "labels": [], "results": [] }, "mysql_network": { "mysql_bytes_received": { "labels": [], "results": [] }, "mysql_bytes_send": { "labels": [], "results": [] } }, "database_name": "mysql" }, "message": "Success"}